<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <title>Sign Up For A Conference :: Conference GO!</title>
  <script type="module" src="js/attend-conference.js"></script>
</head>

<body class="bg-info">
  <header>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <a class="navbar-brand" href="/">Conference GO!</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/">Home</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" aria-current="page" href="new-location.html">New location</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" aria-current="page" href="new-conference.html">New conference</a>
              </li>
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="new-presentation.html">New presentation</a>
            </li>
          </ul>
          <form class="d-flex">
            <input class="form-control me-2" type="search" placeholder="Search conferences" aria-label="Search">
            <button class="btn btn-outline-success me-2" type="submit">Search</button>
            <a class="btn btn-primary" href="attend-conference.html">Attend!</a>
          </form>
        </div>
      </div>
    </nav>
  </header>
  <div class="container">
    <div class="my-5">
      <div class="row">
        <div class="col col-sm-auto">
          <img width="300" class="bg-white rounded shadow d-block mx-auto mb-4" src="./images/logo.svg">
        </div>
        <div class="col">
          <div class="card shadow">
            <div class="card-body">
              <form id="create-attendee-form">
                <h1 class="card-title">It's Conference Time!</h1>
                <p class="mb-3">
                  Please choose which conference
                  you'd like to attend.
                </p>
                <div class="d-flex justify-content-center mb-3" id="loading-conference-spinner">
                  <div class="spinner-grow text-secondary" role="status">
                    <span class="visually-hidden">Loading...</span>
                  </div>
                </div>
                <div class="mb-3">
                  <select name="conference" id="conference" class="form-select d-none" required>
                    <option value="">Choose a conference</option>
                  </select>
                </div>
                <p class="mb-3">
                  Now, tell us about yourself.
                </p>
                <div class="row">
                  <div class="col">
                    <div class="form-floating mb-3">
                      <input required placeholder="Your full name" type="text" id="name" name="name" class="form-control">
                      <label for="name">Your full name</label>
                    </div>
                  </div>
                  <div class="col">
                    <div class="form-floating mb-3">
                      <input required placeholder="Your email address" type="email" id="email" name="email" class="form-control">
                      <label for="email">Your email address</label>
                    </div>
                  </div>
                </div>
                <button class="btn btn-lg btn-primary">I'm going!</button>
              </form>
              <div class="alert alert-success d-none mb-0" id="success-message">
                Congratulations! You're all signed up!
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</body>

</html>